clang-tools 8.0.0

Namespaces | Functions
Index.cpp File Reference
`#include "Index.h"`
`#include "Logger.h"`
`#include "llvm/ADT/StringExtras.h"`
`#include "llvm/ADT/StringRef.h"`
`#include "llvm/Support/Error.h"`
`#include "llvm/Support/raw_ostream.h"`
Include dependency graph for Index.cpp:

Go to the source code of this file.

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd

## Functions
llvm::raw_ostream & | clang::clangd::operator<< (llvm::raw_ostream &OS, const SymbolLocation &L)
llvm::raw_ostream & | clang::clangd::operator<< (llvm::raw_ostream &OS, SymbolOrigin O)
llvm::raw_ostream & | clang::clangd::operator<< (llvm::raw_ostream &OS, Symbol::SymbolFlag F)
llvm::raw_ostream & | clang::clangd::operator<< (llvm::raw_ostream &OS, const Symbol &S)
float | clang::clangd::quality (const Symbol &S)
static void | clang::clangd::own (Symbol &S, llvm::UniqueStringSaver &Strings)
llvm::raw_ostream & | clang::clangd::operator<< (llvm::raw_ostream &OS, RefKind K)
llvm::raw_ostream & | clang::clangd::operator<< (llvm::raw_ostream &OS, const Ref &R)
bool | clang::clangd::fromJSON (const llvm::json::Value &Parameters, FuzzyFindRequest &Request)
llvm::json::Value | clang::clangd::toJSON (const FuzzyFindRequest &Request)